use neo_entity::rooms::{self, Entity as Room};
use sea_orm_migration::prelude::*;

#[derive(DeriveMigrationName)]
pub struct Migration;

#[async_trait::async_trait]
impl MigrationTrait for Migration {
    async fn up(&self, manager: &SchemaManager) -> Result<(), DbErr> {
        manager
            .create_table(
                Table::create()
                    .table(Room)
                    .if_not_exists()
                    .col(
                        ColumnDef::new(rooms::Column::Uuid)
                            .uuid()
                            .primary_key()
                            .not_null(),
                    )
                    .col(ColumnDef::new(rooms::Column::Name).string().not_null())
                    .to_owned(),
            )
            .await
    }
}
