pub static STATE_EVENTS: &[&str] = &[
    "m.room.create",
    "m.room.canonical_alias",
    "m.room.join_rules",
    "m.room.member",
    "m.room.power_levels",
];

pub enum EventCategory {
    StateEvent,
    MessageEvent,
}

pub fn classify_event(event_type: &str) -> EventCategory {
    if STATE_EVENTS.contains(&event_type) {
        EventCategory::StateEvent
    } else {
        EventCategory::MessageEvent
    }
}
